RedRavenApi reference
Get test results overview
Return pass/fail totals and pass rates grouped by certification and policy.
Return pass/fail totals and pass rates grouped by certification and policy.
Authorization
ApiKeyAuth OrganizationId X-API-Key<token>
Your RedRaven API key.
In: header
X-Organization-Id<token>
RedRaven organization UUID that scopes the API key.
In: header
Path Parameters
test_id*string
RedRaven test UUID.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/tests/497f6eca-6276-4993-bfeb-53cbbbba6f08/results"{ "test_id": "22e96a18-23fe-4c06-8ee6-180390ceaded", "created_at": "2019-08-24T14:15:22Z", "status": "string", "summary": { "total": 0, "passed": 0, "failed": 0, "pass_rate": 0 }, "certifications": [ { "certification": "string", "summary": { "total": 0, "passed": 0, "failed": 0, "pass_rate": 0 }, "policies": [ { "name": "string", "total": 0, "passed": 0, "failed": 0, "pass_rate": 0 } ] } ]}Empty